China factories

Party 100 yards Black Metallic Lurex Mesh Pleated Lace Fabric

Price: USD3-5/Y Depend on Quanity Get Latest Price
  • Brand Name: Leafy Lace
  • Model Number: LFMD-191573-191572
  • Minimum Order Quantity: 10yards
  • Delivery Time: 30DAYS
  • view more

47 Inch Black Embroidered Lace Fabric For Dressmaking / Floral Embroidered Trim

Price: Negotiable Get Latest Price
  • Brand Name: Cheerslife
  • Model Number: QA12527
  • Minimum Order Quantity: 200 yards
  • Delivery Time: 1-2 weeks
  • view more

Supoo black cord lace fabric Best selling design guipure lace fabric with 3D embroidered pattern for making women dress

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Black Sexy Thin Flowers Pattern Mesh Lace Fabric for Dresses

Price: $2.50 / yard Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: 800 yards
  • Delivery Time: Negotiable
  • view more

Textile Pleat Paper Fabric 40gsm Curtain Shade Computer Controlled Garment

Price: Negotiable Get Latest Price
  • Brand Name: Bosheng
  • Model Number: 863, 830
  • Minimum Order Quantity: 100kg
  • Delivery Time: Negotiable
  • view more

White And Black Thick Neoprene Fabric 2mm Foam Rolls Neoprene Coated Nylon Fabric

Price: Negotiable Get Latest Price
  • Brand Name: Skypro
  • Model Number: NF1000
  • Minimum Order Quantity: 500 yards
  • Delivery Time: Negotiable
  • view more

2025 Women's Spring Dress with Pleated Lace Patchwork round Neck Long Sleeves Natural Waist Slimming Casual Style

Price: $18.60 / piece Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: 3 pieces
  • Delivery Time: Negotiable
  • view more

Heavy Duty 135cm Black Web Belt Military Style 38mm Width

Price: Negotiable Get Latest Price
  • Brand Name: OEM / ODM / Brand Custom
  • Model Number: Fabric Web Belt
  • Minimum Order Quantity: Negotiable
  • Delivery Time: To be Negotiated
  • view more

Women's Black Contrast Lace Collar Ribbed Short Sleeve Top

Price: Negotiable Get Latest Price
  • Brand Name: CHENLEI
  • Model Number: Negotiable
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Customized Black Embroidery Bridal Lace Fabric with Beads for Wedding Decorated Clothing Patch

Price: $0.70-0.80 / inch Get Latest Price
  • Brand Name: WS
  • Model Number: WS-WE
  • Minimum Order Quantity: 500 inches
  • Delivery Time: Negotiable
  • view more

Black Thick 2mm Neoprene Sheet Foam Rolls , Coated Nylon Rubber Sheet

Price: Negotiation Get Latest Price
  • Brand Name: HuiXinFa
  • Model Number: Negotiable
  • Minimum Order Quantity: 300sheet
  • Delivery Time: 10 Days
  • view more

Eco Friendly Nylon Spandex Fabric 73GSM Black Texture Fabric for Daily Commuting Outfit

Price: Usd 4.3 /meter Get Latest Price
  • Brand Name: HENG HUI SHENG
  • Model Number: BN6465
  • Minimum Order Quantity: 400-800 meters
  • Delivery Time: 2 days in stock, 4-8 days for orders
  • view more

Royal Blue Sportswear Material Fabric , Interlock Basketball Shorts Fabric

Price: NEGOTIATED Get Latest Price
  • Brand Name: FC
  • Model Number: FC12002
  • Minimum Order Quantity: 200KG/COLOR (600M)
  • Delivery Time: 15-20DAYS
  • view more

Women's Navy Pleated Athletic Skirt High Waisted Quick Dry Lightweight Breathable

Price: $5~$30 Get Latest Price
  • Brand Name: AURAVIA
  • Model Number: YJQ-08
  • Minimum Order Quantity: 200 items
  • Delivery Time: 30 days
  • view more

Short-sleeve black A-line dress with eyelet lace-up detail soft smooth fabric and loose flowy skirt

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: 500pcs
  • Delivery Time: Negotiable
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

190 GSM 100% Polyester Women Pleated Skirt With Adjustable Straps And Buckles

Price: Negotiation Get Latest Price
  • Brand Name: Customer's Requirement / Teller
  • Model Number: SK001
  • Minimum Order Quantity: 500 pieces
  • Delivery Time: 20DAYS-45DAYS
  • view more

Black And Gray Leather Gaming Chair 360 Degree Swivel Rotation Fire - Retardant

Price: US$30-US$80 PC Get Latest Price
  • Brand Name: Threebody
  • Model Number: TSFC-986
  • Minimum Order Quantity: 100 pcs
  • Delivery Time: 35~45days after deposit payment
  • view more

Discount Sexy Black Lace Up Sleeveless Bodycon Party Dress For Women

Price: $9.90 - $12.50 / Pieces Get Latest Price
  • Brand Name: Lancai
  • Model Number: LCK5
  • Minimum Order Quantity: 1 Piece/Pieces
  • Delivery Time: Negotiable
  • view more

Girls Summer Giant Large Organza Scrunchie Elastic Ponytail Cute Pink Lace Flower Black 4g

Price: $0.87/pieces 50-199 pieces Get Latest Price
  • Brand Name: Hongshitong
  • Model Number: HSTA2022035
  • Minimum Order Quantity: 50 pieces
  • Delivery Time: Negotiable
  • view more